Kerbal Space Program - Bug #10363

One of the Mobile Processing Lab's hatches is upside down
08/10/2016 12:51 PM - tirbelain

Status: Closed Start date: 08/10/2016
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.2.1

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

One of the two hatches of the Mobile Processing Lab is upside-down with respect to the module's orientation (as determined by the
flag on the outside and the interior, IVAing and looking out of the window). The default hatch (the one being used when pressing the
EVA button on a Kerbal's portrait) is the "broken" one. This causes the Kerbals to hold on to the ladder upside down. The other hatch
is oriented correctly.

To reproduce the issue:

go to the VAB to create a new vessel

the vessel can be as simple as a Mobile Processing Lab
put a Kerbal into the Lab

launch the vessel

press the EVA button on the Kerbal's portrait

see the Kerbal hold on the the ladder upside down

The same happens if you click that hatch and use the EVA button from that pop-up dialog. Having the Kerbal exit the module through
the other hatch, he is oriented correctly.

| first noticed this in the 1.0.2.842 (Steam) (didn't check older versions), in 1.1.3.1289 (Steam) it is still present. Both versions, Win32
and Win64 are affected. And most likely any other platform.

| downloaded a clean installation from Steam to verify it. Here's a video that shows the problem: https://youtu.be/9bOFKDI6_gw

History

#1 - 08/10/2016 12:53 PM - tirbelain

This is a new version of bug #5192 that just was closed.

#2 - 08/11/2016 12:56 PM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Thanks Tirbelain. Marking this one as confirmed

#3 - 08/11/2016 05:36 PM - Avera9eJoe

| always thought this was a feature haha - It's almost handy if one hatch spawns kerbals right side up and one spawns them upside down in respect to
the part. Would be nice to mark which one spawns them with their head up and which one spawns them with their head down, but if it's a bug though
I've got no complaints with it being realigned

#4 - 08/11/2016 06:04 PM - tirbelain
| agree that this by all means could be 'by design'. But in a vessel with default orientation using the most convenient way (ie. EVA button) to

disembark the Kerbals | would expect them to spawn in a less inconvenient position. :)

#5 - 10/25/2016 11:27 AM - TriggerAu
- Status changed from Confirmed to Being Worked On
- Assignee set to TriggerAu

- % Done changed from 10 to 30

#7 - 11/02/2016 06:19 AM - JPLRepo

- Status changed from Being Worked On to Ready to Test
- Assignee deleted (TriggerAu)

- Target version set to 1.2.1

- % Done changed from 30 to 80

#8 - 11/06/2016 07:44 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. Issue was resolved in KSP 1.2.1.
